GDB (xrefs)

Public Attributes | List of all members
packet_reg Struct Reference

## Public Attributes
long | offset
long | regnum
LONGEST | pnum
int | in_g_packet

## Detailed Description

Definition at line 513 of file remote.c.

## Member Data Documentation

## ◆ in_g_packet

int packet_reg::in_g_packet

Definition at line 518 of file remote.c.

Referenced by map_regcache_remote_table(), process_g_packet(), remote_fetch_registers(), remote_prepare_to_store(), remote_store_registers(), and store_registers_using_G().

## ◆ offset

long packet_reg::offset

Definition at line 515 of file remote.c.

Referenced by map_regcache_remote_table(), process_g_packet(), and store_registers_using_G().

## ◆ pnum

LONGEST packet_reg::pnum

Definition at line 517 of file remote.c.

Referenced by map_regcache_remote_table(), packet_reg_from_pnum(), process_g_packet(), and remote_register_number_and_offset().

## ◆ regnum

long packet_reg::regnum

Definition at line 516 of file remote.c.

Referenced by map_regcache_remote_table(), packet_reg_from_regnum(), process_g_packet(), remote_prepare_to_store(), and store_registers_using_G().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c